用CAD能画阿基米德螺旋线吗?怎么画呢

小编cadzj 10月 23, 202123:11:06
评论
126 771字阅读2分34秒

1、直接画是很难的.你可以先用“电子表格”按阿基米德螺线公式计算出一列成对的X、Y的值。并做成“X,Y”的形式,然后复制这一列值,在CAD里画样条时粘贴上去就成了,“电子表格”中取样越细,画的图越精确,,“电子表格”中取样细不会增加人的工作量的。 2。还可以用CAXA画,那更方便。

阿基米德螺旋线
用autolisp编程可以实现.
(command "pline" )
(setq n 0)
(repeat 1000
(command (polar (list 0 0) (/ n 57.3) n))
(setq n (1+ n))
)
(command)

弹簧和螺纹(三维)
1、打开CAD后,找工具/AUTOLISP/VISUAL LISP编辑器,打开.点新建文件
2、然后输入
(defun c:luoxuan
(/)
(setq b1 (getpoint "请指定螺旋线基点: "))
(setq r (getreal "请输入螺纹平均半径: "))
(setq disp (getreal "请输入螺纹节距: "))
(setq n (getint "请输入每圈细化段数: "))
(setq delta (/ (* 2.0 pi) n))
(setq j (/ disp n))
(setq bb (caddr b1))
(setq ang 0)
(setq jj 0)
(Command "UCS" "o" b1)
(Command "3dpoly" (list r 0 0))
(repeat n
(setq jj(+ jj 1)
(setq ang(+ delta ang))
(setq pt2(list (* r (cos ang)) (* r (sin ang)) (+ 0 (* j jj))))
(Command pt2)
)
(Command "")
)
存盘为luoxuan.lsp,关闭编辑器
3、要用时,点工具/AUTOLISP/加载,找到luoxuan.lsp文件将其加载,关闭对话框.在命令行输入luoxuan回车,就开始了螺旋线的绘制

小编cadzj
  • 本文由 发表于 10月 23, 202123:11:06
  • 转载请务必保留本文链接:http://wg678.cn/105463.html
AutoCAD如何确定点的位置 CAD安装问题教程

AutoCAD如何确定点的位置

CAD中,经常需要确定点的位置,比如绘制圆需要确定圆心点位置,绘制直线需要确定两个端点的位置了,下面介绍4种确定点位置的方法 点的四种输入方法: 1、 拾取点:拾取点的主要方法。执行命令提示输入点时,...
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: